Plume API
Cards

/cards/welcome

Make a welcome card

GET
/cards/welcome

Query Parameters

avatar?string

A valid image URL

Length1 <= length <= 2048
text1*string

The top text

Length1 <= length <= 100
text2?string

The middle text

Length1 <= length <= 100
text3?string

The bottom text

Length1 <= length <= 100
bg_url?string

A valid image URL

Length1 <= length <= 2048
bg_color?string

A valid hexadecimal color (without the #)

Match^[A-Fa-f0-9]{6}$
Length6 <= length <= 6
font_color?string

A valid hexadecimal color (without the #)

Match^[A-Fa-f0-9]{6}$
Length6 <= length <= 6
blur?boolean

Blur the background image if there is one

avatar_border?boolean

Enable the avatar border (default: true)

avatar_border_color?string

A valid hexadecimal color (without the #)

Match^[A-Fa-f0-9]{6}$
Length6 <= length <= 6

Response Body

image/png

application/json

application/json

application/json

application/json

curl -X GET "https://plume.sodiumlabs.xyz/api/cards/welcome?text1=string"
"string"
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string",
  "errors": [
    {
      "message": "string"
    }
  ]
}
{
  "message": "string"
}